base_board_eeprom_read_b() {
    i2cget -y 1 0x50 "$1" b 2>/dev/null
}

base_board_eeprom_read_w() {
    i2cget -y 1 0x50 "$1" w 2>/dev/null | sed 's/.\{2\}/& /g' | awk -F " " '{printf $1$3$2}'
}

base_board_is_atmark_techno() {
    [ "$(base_board_eeprom_read_w 0x00)" = 0x0001 ]
}

base_board_read_product_id() {
    base_board_eeprom_read_w 0x02
}

base_board_read_revision() {
    base_board_eeprom_read_w 0x0A
}

board_setup() {
	if !base_board_is_atmark_techno; then
		return 0
	fi

	local board=$(base_board_read_revision)
	einfo "board = $board"
	case "$board" in
	0x0001) echo 'iwami2 es1' > /mnt/etc/hwrevision;;
	0x0002) echo 'iwami2 es2' > /mnt/etc/hwrevision;;
	0x0003) echo 'iwami2 mp' > /mnt/etc/hwrevision;;
	*) echo ' unknown board' > /mnt/etc/hwrevision;;
	esac

	local product_id=$(base_board_read_product_id)
	einfo "product_id = $product_id"
	case "$product_id" in
	0x0001)
		einfo "EMS31 exists"
		echo "fdt_overlays=iwami2-ems31.dtbo" > /mnt/boot/overlays.txt
		ln -s /etc/init.d/connection-recover /mnt/etc/runlevels/default/
		ln -s /etc/init.d/modemmanager /mnt/etc/runlevels/boot/
		;;
	0x0002)
		einfo "EMS31 & lwb5plus exists"
		echo "fdt_overlays=iwami2-ems31.dtbo iwami2-lwb5plus.dtbo"  > /mnt/boot/overlays.txt
		ln -s /etc/init.d/connection-recover /mnt/etc/runlevels/default/
		ln -s /etc/init.d/modemmanager /mnt/etc/runlevels/boot/
		;;
	0x0003)
		einfo "ELS31 exists"
		echo "fdt_overlays=iwami2-els31.dtbo" > /mnt/boot/overlays.txt
		ln -s /etc/init.d/connection-recover /mnt/etc/runlevels/default/
		ln -s /etc/init.d/modemmanager /mnt/etc/runlevels/boot/
		;;
	0x0004)
		einfo "ELS31 & lwb5plus exists"
		echo "fdt_overlays=iwami2-els31.dtbo iwami2-lwb5plus.dtbo"  > /mnt/boot/overlays.txt
		ln -s /etc/init.d/connection-recover /mnt/etc/runlevels/default/
		ln -s /etc/init.d/modemmanager /mnt/etc/runlevels/boot/
		;;
	0x0006)
		einfo "lwb5plus exists"
		echo "fdt_overlays=iwami2-lwb5plus.dtbo"  > /mnt/boot/overlays.txt
		;;
	esac
}

